Bug 21721 - Update C4::Circulation::AddRenewal to use Koha::Account->add_debit
Summary: Update C4::Circulation::AddRenewal to use Koha::Account->add_debit
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 21720
Blocks: 20912 21756
  Show dependency treegraph
 
Reported: 2018-10-30 09:29 UTC by Martin Renvoize
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21721: Use Koha::Account->add_debit in AddRenewal (2.25 KB, patch)
2018-11-02 11:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (2.61 KB, patch)
2018-11-02 11:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (2.67 KB, patch)
2018-11-02 11:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (3.17 KB, patch)
2018-12-14 15:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (3.22 KB, patch)
2019-01-22 09:05 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (3.27 KB, patch)
2019-02-22 14:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21721: Use Koha::Account->add_debit in AddRenewal (3.22 KB, patch)
2019-03-05 13:19 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2018-10-30 09:29:47 UTC
All account handling should go via the Koha::Account class.
Comment 1 Martin Renvoize 2018-11-02 11:08:35 UTC
Created attachment 81884 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal
Comment 2 Martin Renvoize 2018-11-02 11:12:13 UTC
Created attachment 81887 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal
Comment 3 Martin Renvoize 2018-11-02 11:22:39 UTC
Created attachment 81888 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal
Comment 4 Martin Renvoize 2018-12-14 15:26:15 UTC
Created attachment 83219 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal

Known Side Effect: Prior to this patch renewal charges were not
recorded in the FinesLog. After this patch, if the FinesLog is
enabled then the 'action' will be recorded as `create_rent`.

Sponsored-by: PTFS Europe
Comment 5 Josef Moravec 2019-01-22 09:05:05 UTC
Created attachment 84275 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal

Known Side Effect: Prior to this patch renewal charges were not
recorded in the FinesLog. After this patch, if the FinesLog is
enabled then the 'action' will be recorded as `create_rent`.

Sponsored-by: PTFS Europe

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Tomás Cohen Arazi 2019-02-22 14:29:46 UTC
Created attachment 85529 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal

Known Side Effect: Prior to this patch renewal charges were not
recorded in the FinesLog. After this patch, if the FinesLog is
enabled then the 'action' will be recorded as `create_rent`.

Sponsored-by: PTFS Europe

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Nick Clemens 2019-03-04 19:25:44 UTC
Dependencies pushed to master, yet:
error: sha1 information is lacking or useless (C4/Circulation.pm).
error: could not build fake ancestor
Patch failed at 0001 Bug 21721: Use Koha::Account->add_debit in AddRenewal
Comment 8 Martin Renvoize 2019-03-05 13:19:08 UTC
Created attachment 86065 [details] [review]
Bug 21721: Use Koha::Account->add_debit in AddRenewal

Known Side Effect: Prior to this patch renewal charges were not
recorded in the FinesLog. After this patch, if the FinesLog is
enabled then the 'action' will be recorded as `create_rent`.

Sponsored-by: PTFS Europe

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Martin Renvoize 2019-03-05 13:21:15 UTC
Wierd.. I've just rebased my accounts branch and it seems happy.. attached the patch from that

https://github.com/PTFS-Europe/koha/compare/master...PTFS-Europe:accounts_all is where I'm tracking this little lot if it helps
Comment 10 Nick Clemens 2019-03-07 17:41:10 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-03-12 08:34:00 UTC
Enhancement will not be backported to 18.11.x series.